> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 単一のコネクタの取得

> 指定したキーを使用して単一の connectors オブジェクトを返します。



## OpenAPI

````yaml 26.3/self-hosted/ja/api-reference/openapi.json GET /connectors('{ConnectorId}')
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Arc インスタンスのベース URL
          です。スキームとアプリケーションパスを含みます（例：https://arc.example.com/api.rsc）。
security: []
paths:
  /connectors('{ConnectorId}'):
    get:
      tags:
        - connectors
      summary: 単一のコネクタの取得
      description: 指定したキーを使用して単一の connectors オブジェクトを返します。
      operationId: getconnectors
      parameters:
        - name: ConnectorId
          in: path
          description: キー ConnectorId
          required: true
          schema:
            type: string
        - name: $select
          in: query
          schema:
            type: string
          description: 構造プロパティを選択します
      responses:
        '200':
          description: connectors レスポンス
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/connectors'
        default:
          description: 予期しないエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    connectors:
      type: object
      properties:
        ConnectorId:
          description: コネクタのid。
          type: string
        WorkspaceId:
          description: コネクタのワークスペース。
          type: string
        ConnectorType:
          description: コネクタの種類。
          type: string
        AutomationSend:
          description: True に設定すると、コネクタは Send フォルダ内のファイルを自動的に処理します。
          type: boolean
        AutomationRetryInterval:
          description: >-
            エラー発生後、ファイルの再送を試みるまでにアプリケーションが待機する時間（分単位）。0
            に設定すると、コネクタは毎回のインターバルでファイルの再試行を行います。
          type: integer
          format: int32
        AutomationMaxAttempts:
          description: 失敗が発生した場合に、コネクタが入力ファイルの処理を試みる最大回数。0 に設定すると、コネクタは無制限にファイルの再試行を行います。
          type: integer
          format: int32
        AutomationReceive:
          description: True に設定すると、コネクタは指定された ReceiveInterval でファイルの自動受信を試みます。
          type: boolean
        ReceiveInterval:
          description: AutomationReceive が True に設定されている場合に、コネクタがファイルの受信を試みるインターバル。
          type: string
        MaxWorkers:
          description: >-
            このコネクタでファイルを処理する際に、ワーカープールから割り当てるワーカーの最大数。設定されていない場合は、アプリケーションの
            Settings タブのデフォルト設定が使用されます。
          type: integer
          format: int32
        MaxFiles:
          description: >-
            このコネクタにワーカーが割り当てられるたびに、このコネクタで処理されるファイルの最大数。設定されていない場合は、アプリケーションの
            Settings タブのデフォルト設定が使用されます。
          type: integer
          format: int32
        SendFolder:
          description: コネクタが処理対象のファイルを取得するフォルダです。
          type: string
        ReceiveFolder:
          description: コネクタが受信したファイルを配置するフォルダです。
          type: string
        SentFolder:
          description: コネクタが処理後のファイルを配置するフォルダです。
          type: string
        SaveToSentFolder:
          description: True に設定すると、コネクタは送信済みメッセージのコピーを Sent フォルダに保持します。
          type: boolean
        SentFolderScheme:
          description: >-
            この設定は、Sent フォルダ内で使用されるサブフォルダ構造を制御します。指定可能な値は
            Daily、Weekly、Monthly、Yearly です。
          type: string
        LogLevel:
          description: >-
            トランザクションログの書き込み時に使用されるログレベル。指定可能な値は
            None、Error、Warning、Info、Debug、Trace です。
          type: string
        LogSubFolderScheme:
          description: >-
            この設定は、Logs フォルダ内で使用されるサブフォルダ構造を制御します。指定可能な値は
            Daily、Weekly、Monthly、Yearly です。
          type: string
        LogMessages:
          description: チェックすると、コネクタは Logs ディレクトリ内のメッセージのログとともにメッセージのコピーを保持します。
          type: boolean
      required:
        - ConnectorId
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````